Version 1.7.1 - 25 Mar 2026
- Update: Importer
- Update: Slider Revolution 6.7.50
- Tweak: compatible with WordPress 6.9.4
- Tweak: compatible with Elementor 3.35.8
- Tweak: compatible with WooCommerce 10.6.1

Version 1.7.0 - 26 Feb 2026
- Update: Slider Revolution 6.7.41
- Tweak: compatible with WordPress 6.9.1
- Tweak: compatible with Elementor 3.35.5
- Tweak: compatible with WooCommerce 10.5.2

Version 1.6.9 - 23 Jan 2026
- Update: Slider Revolution 6.7.40
- Tweak: compatible with Elementor 3.34.2
- Tweak: compatible with WooCommerce 10.4.3

Version 1.6.8 - 10 Dec 2025
- Update: Slider Revolution 6.7.39
- Tweak: compatible with WordPress 6.9
- Tweak: compatible with Elementor 3.33.4
- Tweak: compatible with WooCommerce 10.3.6

Version 1.6.7 - 25 Nov 2025
- Update: Importer
- Tweak: compatible with Elementor 3.33.2
- Tweak: compatible with WooCommerce 10.3.5

Version 1.6.6 - 10 Nov 2025
- Tweak: compatible with Elementor 3.32.5
- Tweak: compatible with WooCommerce 10.3.4

Version 1.6.5 - 07 Oct 2025
- Update: Slider Revolution 6.7.38
- Tweak: compatible with Elementor 3.32.4
- Tweak: compatible with WooCommerce 10.2.2

Version 1.6.4 - 12 Sep 2025
- Update: Importer
- Update: Slider Revolution 6.7.37
- Tweak: compatible with Elementor 3.31.5
- Tweak: compatible with WooCommerce 10.1.2

Version 1.6.3 - 15 Aug 2025
- Update: Slider Revolution 6.7.36
- Tweak: compatible with Elementor 3.31.2
- Tweak: compatible with WooCommerce 10.1.0

Version 1.6.2 - 29 July 2025
- Update: Importer
- Tweak: compatible with Elementor 3.30.3
- Tweak: compatible with WooCommerce 10.0.4
- Fix: sanitize search string

Version 1.6.1 - 09 July 2025
- Update: Slider Revolution 6.7.35
- Tweak: compatible with Elementor 3.30.1
- Tweak: compatible with WooCommerce 9.9.5

Version 1.6.0 - 08 June 2025
- Add: new Compare feature
- Add: new Wishlist feature
- Update: Slider Revolution 6.7.34
- Tweak: compatible with WordPress 6.8.1
- Tweak: compatible with Elementor 3.29.2
- Tweak: compatible with WooCommerce 9.8.5
- Fix: product filter by brand

Version 1.5.0 - 25 April 2025
- Update: Slider Revolution 6.7.32
- Tweak: compatible with WordPress 6.8
- Tweak: compatible with Elementor 3.28.4
- Tweak: compatible with WooCommerce 9.8.2

Version 1.4.9 - 12 April 2025
- Update: Slider Revolution 6.7.31
- Tweak: compatible with Elementor 3.28.3
- Tweak: compatible with WooCommerce 9.8.1

Version 1.4.8 - 19 Mar 2025
- Update: Slider Revolution 6.7.30
- Tweak: compatible with Elementor 3.28.0
- Tweak: compatible with WooCommerce 9.7.1

Version 1.4.7 - 27 Feb 2025
- Update: Slider Revolution 6.7.29
- Tweak: compatible with Elementor 3.27.6
- Tweak: compatible with WooCommerce 9.7.0

Version 1.4.6 - 11 Feb 2025
- Update: Slider Revolution 6.7.28
- Tweak: compatible with Elementor 3.27.3
- Tweak: compatible with WooCommerce 9.6.1

Version 1.4.5 - 21 Jan 2025
- Updated: Importer
- Updated: Slider Revolution 6.7.25
- Tweak: compatible with Elementor 3.27.0
- Tweak: compatible with WooCommerce 9.6.0

Version 1.4.4 - 19 Dec 2024
- Updated: Instagram widget
- Tweak: compatible with WordPress 6.7.1
- Tweak: compatible with Elementor 3.26.0
- Tweak: compatible with WooCommerce 9.5.1

Version 1.4.3 - 21 Nov 2024
- Updated: Importer
- Updated: Slider Revolution 6.7.23
- Tweak: compatible with Elementor 3.25.9
- Tweak: compatible with WooCommerce 9.4.2
- Fixed: filter sidebar on mobile

Version 1.4.2 - 14 Nov 2024
- Updated: Slider Revolution 6.7.21
- Tweak: compatible with WordPress 6.7
- Tweak: compatible with Elementor 3.25.6
- Tweak: compatible with WooCommerce 9.4.1
- Tweak: compatible with YITH WooCommerce Wishlist 4.0.1

Version 1.4.1 - 28 Oct 2024
- Tweak: compatible with Elementor 3.24.7
- Tweak: compatible with YITH WooCommerce Wishlist 4.0.0

Version 1.4.0 - 04 Oct 2024
- Updated: Slider Revolution 6.7.20
- Tweak: compatible with WooCommerce 9.3.3
- Tweak: compatible with Elementor 3.24.5

Version 1.3.9 - 17 Sep 2024
- Tweak: compatible with WordPress 6.6.2
- Tweak: compatible with WooCommerce 9.3.1
- Tweak: compatible with Elementor 3.24.2

Version 1.3.8 - 29 Aug 2024
- Updated: Slider Revolution 6.7.18
- Tweak: compatible with WooCommerce 9.2.3

Version 1.3.7 - 09 Aug 2024
- Updated: Slider Revolution 6.7.17
- Tweak: compatible with WordPress 6.6.1
- Tweak: compatible with WooCommerce 9.1.4
- Tweak: compatible with Elementor 3.23.4

Version 1.3.6 - 22 June 2024
- Updated: Slider Revolution 6.7.13
- Tweak: compatible with WordPress 6.5.4
- Tweak: compatible with WooCommerce 9.0.1
- Tweak: compatible with Elementor 3.22.1

Version 1.3.5 - 05 June 2024
- Updated: Slider Revolution 6.7.12
- Tweak: compatible with WordPress 6.5.3
- Tweak: compatible with WooCommerce 8.9.2
- Tweak: compatible with Elementor 3.21.8

Version 1.3.4 - 25 Apr 2024
- Updated: Slider Revolution 6.7.7
- Tweak: compatible with WooCommerce 8.8.2
- Tweak: compatible with Elementor 3.21.2

Version 1.3.3 - 05 Mar 2024
- Tweak: compatible with WooCommerce 8.6.1
- Tweak: compatible with Elementor 3.19.4

Version 1.3.2 - 23 Jan 2024
- Updated: Slider Revolution 6.6.20
- Tweak: compatible with WooCommerce 8.5.1
- Tweak: compatible with Elementor 3.18.3

Version 1.3.1 - 20 Dec 2023
- Improved: product display in Elementor editor

Version 1.3.0 - 19 Dec 2023
- Updated: Slider Revolution 6.6.19
- Tweak: compatible with WordPress 6.4.2
- Tweak: compatible with WooCommerce 8.4.0
- Tweak: compatible with Elementor 3.18.2

Version 1.2.9 - 29 Nov 2023
- Tweak: compatible with WordPress 6.4.1
- Tweak: compatible with WooCommerce 8.3.0
- Tweak: compatible with Elementor 3.17.3

Version 1.2.8 - 30 Oct 2023
- Updated: Importer
- Updated: Slider Revolution 6.6.18
- Added: Elementor Lazy Load
- Tweak: compatible with WordPress 6.3.2
- Tweak: compatible with WooCommerce 8.2.1
- Tweak: compatible with Elementor 3.17.1

Version 1.2.7 - 18 Sep 2023
- Tweak: compatible with WooCommerce 8.1.1
- Tweak: compatible with Elementor 3.16.3

Version 1.2.6 - 30 Aug 2023
- Updated: Slider Revolution 6.6.16
- Tweak: compatible with WordPress 6.3.1
- Tweak: compatible with WooCommerce 8.0.3
- Tweak: compatible with YITH WooCommerce Compare 2.30.1

Version 1.2.5 - 26 Aug 2023
- Updated: Slider Revolution 6.6.15
- Tweak: compatible with WordPress 6.3
- Tweak: compatible with WooCommerce 8.0.2
- Tweak: compatible with Elementor 3.15.3

Version 1.2.4 - 19 Jul 2023
- Updated: Importer
- Improved: slider in stretch row
- Improved: product lazy load
- Fixed: variable product color swatches
- Tweak: compatible with WooCommerce 7.9.0
- Tweak: compatible with Elementor 3.14.1

Version 1.2.3 - 22 Jun 2023
- Updated: Slider Revolution 6.6.14
- Tweak: compatible with WooCommerce 7.8.0
- Tweak: compatible with Elementor 3.14.0

Version 1.2.2 - 26 May 2023
- Updated: Slider Revolution 6.6.13
- Tweak: compatible with WordPress 6.2.2
- Tweak: compatible with WooCommerce 7.7.0
- Tweak: compatible with Elementor 3.13.3

Version 1.2.1 - 20 Apr 2023
- Updated: Importer
- Updated: Slider Revolution 6.6.12
- Tweak: compatible with WordPress 6.2
- Tweak: compatible with WooCommerce 7.6.0
- Tweak: compatible with Elementor 3.12.1

Version 1.2.0 - 24 Feb 2023
- Updated: Slider Revolution 6.6.11
- Tweak: compatible with WooCommerce 7.4.0
- Tweak: compatible with Elementor 3.11.2

Version 1.1.9 - 08 Dec 2022
- Updated: Slider Revolution 6.6.7
- Tweak: compatible with WP 6.1.1
- Tweak: compatible with WooCommerce 7.1.0
- Tweak: compatible with Elementor 3.9.0

Version 1.1.8 - 06 Nov 2022
- Updated: Slider Revolution 6.6.5
- Tweak: compatible with WP 6.1
- Tweak: compatible with WooCommerce 7.0.1
- Tweak: compatible with Elementor 3.8.0

Version 1.1.7 - 10 Oct 2022
- Updated: Slider Revolution 6.6.2
- Tweak: compatible with WooCommerce 6.9.4
- Tweak: compatible with Elementor 3.7.8

Version 1.1.6 - 21 Aug 2022
- Updated: Slider Revolution 6.5.31
- Tweak: compatible with WooCommerce 6.8.1
- Tweak: compatible with Elementor 3.7.2

Version 1.1.5 - 27 July 2022
- Updated: related plugins
- Tweak: compatible with WooCommerce 6.7.0
- Tweak: compatible with Elementor 3.6.7

Version 1.1.4 - 01 July 2022
- Updated: Slider Revolution 6.5.25
- Tweak: compatible with WooCommerce 6.6.1
- Tweak: compatible with Elementor 3.6.6

Version 1.1.3 - 31 May 2022
- Updated: Importer
- Updated: Slider Revolution 6.5.24
- Tweak: compatible with WP 6.0

Version 1.1.2 - 24 May 2022
- Updated: Slider Revolution 6.5.23
- Tweak: compatible with WooCommerce 6.5.1

Version 1.1.1 - 09 May 2022
- Updated: Slider Revolution 6.5.21
- Tweak: compatible with WP 5.9.3
- Tweak: compatible with WooCommerce 6.4.1
- Tweak: compatible with Elementor 3.6.5

Version 1.1.0 - 28 Mar 2022
- Updated: Slider Revolution 6.5.19
- Tweak: compatible with WP 5.9.2
- Tweak: compatible with WooCommerce 6.3.1
- Tweak: compatible with Elementor 3.6.1

Version 1.0.9 - 21 Feb 2022
- Updated: Slider Revolution 6.5.15
- Updated: import content
- Tweak: optimize code
- Tweak: compatible with WP 5.9
- Tweak: compatible with WooCommerce 6.2.0
- Tweak: compatible with Elementor 3.5.5

Version 1.0.8 - 18 Jan 2022
- Updated: related plugins
- Tweak: compatible with WooCommerce 6.1.0

Version 1.0.7 - 09 Jan 2022
- Updated: Slider Revolution 6.5.14
- Tweak: compatible with WP 5.8.3
- Tweak: compatible with WooCommerce 6.0.0
- Tweak: compatible with Elementor 3.5.3

Version 1.0.6 - 22 Nov 2021
- Updated: Slider Revolution 6.5.11
- Tweak: compatible with WP 5.8.2
- Tweak: compatible with WooCommerce 5.9.0
- Tweak: compatible with Elementor 3.4.8

Version 1.0.5 - 29 Sep 2021
- Updated: Slider Revolution 6.5.8
- Tweak: Optimize code
- Tweak: Twitter share link
- Tweak: compatible with WooCommerce 5.7.1
- Tweak: Compatible with YITH WooCommerce Compare 2.6.1
- Tweak: compatible with YITH WooCommerce Wishlist 3.1.1

Version 1.0.4 - 27 Aug 2021
- Updated: Slider Revolution 6.5.7
- Updated: WPML Config
- Tweak: compatible with WooCommerce 5.6.0
- Tweak: compatible with Yith WooCommerce Wishlist 3.0.25

Version 1.0.3 - 21 July 2021
- Tweak: compatible with WP 5.8
- Tweak: compatible with WooCommerce 5.5.1

Version 1.0.2 - 02 July 2021
- Added: 2 new home pages
- Updated: Slider Revolution 6.5.4
- Updated: Importer

Version 1.0.1 - 11 June 2021
- Tweak: compatible with WooCommerce 5.4.1
- Fixed: some small css issues

Version 1.0.0 - 31 May 2021 - Initial Release